#!/bin/bash
if [ $# -ne 1 ]
then
	echo -e "\nUsage: $0 <interval>"
	echo -e "\n-interval	the interval in which dbus-send will be done"
	echo -e "\t\tviz interval = 30, dbus-send will happen in "
	echo -e "\t\t0-30 seconds."
	exit 1
fi
if [ $1 -le 0 ]
then
	echo -e "\nInterval is too low or negative. Please give a +ve value"
	exit 1
fi
interval=$1
sequence_number=0
while [ true ]
do
	sequence_number=`expr $sequence_number + 1`
	echo -e "\n\n"
	echo "######SIGNAL NO:$sequence_number  #######"
	random_sleep=$RANDOM
	if [ $random_sleep -gt $interval ]
	then
		random_sleep=`expr $random_sleep % $interval`
	fi

	dbus-send --system --type=method_call --dest=com.example.app /com/example/app com.example.app.setmymessage string:"$sequence_number"

	echo "Sleeping for $random_sleep seconds"
	echo "############################"
	sleep $random_sleep
done
			
